List reports and schedules
/orgs/{organizationId}/projects/{projectId}/reportsList reports and schedules within the selected project. Uses the app's permissions and entitlements.
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
1 <= length1 <= lengthQuery Parameters
1 <= value <= 100501 <= length <= 2048Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orgs/string/projects/string/reports"{ "data": [ { "id": "string", "projectId": "string", "name": "string", "rangeDays": 0, "filter": { "unreadOnly": true, "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "platforms": [ "reddit" ], "sentiments": [ "positive" ], "statuses": [ "new" ], "keywordIds": [ "string" ], "labels": [ "string" ], "subjects": [ "brand" ], "replyCalls": [ "reply_now" ], "languages": [ "str" ], "minRelevance": 0, "includeFiltered": true, "view": "reply-now", "assigneeId": "string", "query": "string", "sort": "best", "limit": 1, "offset": 0 }, "enabled": true, "intervalSeconds": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "property1": "string", "property2": "string" } ], "meta": { "requestId": "string", "replayed": true, "nextCursor": "string" }}Generate the Daily brief now POST
Generate the Daily brief now within the selected project. Replaces today's brief. The summary uses one AI action; without one the posts and spikes are still stored. While a brief is already being generated, that operation is returned. Uses the app's permissions and entitlements.
Create a report and optional schedule POST
Create a report and optional schedule within the selected project. Uses the app's permissions and entitlements.